Debian Bug report logs - #663152
cegui-mk2: FTBFS(kfreebsd): error: 'd_handle' was not declared in this scope

version graph

Package: src:cegui-mk2; Maintainer for src:cegui-mk2 is Muammar El Khatib <muammar@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Thu, 8 Mar 2012 22:36:13 UTC

Severity: serious

Tags: sid, wheezy

Found in version cegui-mk2/0.7.6-1

Fixed in version cegui-mk2/0.7.6-2

Done: Muammar El Khatib <muammar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Muammar El Khatib <muammar@debian.org>:
Bug#663152; Package src:cegui-mk2. (Thu, 08 Mar 2012 22:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Muammar El Khatib <muammar@debian.org>. (Thu, 08 Mar 2012 22:36:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: cegui-mk2: FTBFS(kfreebsd): error: 'd_handle' was not declared in this scope
Date: Thu, 08 Mar 2012 23:36:23 +0100
Package: src:cegui-mk2
Version: 0.7.6-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

/bin/bash ../../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../cegui/include -I../../cegui/include -I/usr/include/freetype2        -D_FORTIFY_SOURCE=2  -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o libCEGUIBase_la-CEGUIDynamicModule.lo `test -f 'CEGUIDynamicModule.cpp' || echo './'`CEGUIDynamicModule.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../cegui/include -I../../cegui/include -I/usr/include/freetype2 -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c CEGUIDynamicModule.cpp  -fPIC -DPIC -o .libs/libCEGUIBase_la-CEGUIDynamicModule.o
In file included from CEGUIDynamicModule.cpp:32:0:
../../cegui/include/CEGUIDynamicModule.h:127:5: error: 'DYNLIB_HANDLE' does not name a type
CEGUIDynamicModule.cpp: In constructor 'CEGUI::DynamicModule::DynamicModule(const CEGUI::String&)':
CEGUIDynamicModule.cpp:63:3: error: 'd_handle' was not declared in this scope
CEGUIDynamicModule.cpp:110:5: error: 'd_handle' was not declared in this scope
CEGUIDynamicModule.cpp:110:48: error: 'DYNLIB_LOAD' was not declared in this scope
CEGUIDynamicModule.cpp: In destructor 'CEGUI::DynamicModule::~DynamicModule()':
CEGUIDynamicModule.cpp:134:19: error: 'd_handle' was not declared in this scope
CEGUIDynamicModule.cpp:134:27: error: 'DYNLIB_UNLOAD' was not declared in this scope
CEGUIDynamicModule.cpp: In member function 'void* CEGUI::DynamicModule::getSymbolAddress(const CEGUI::String&) const':
CEGUIDynamicModule.cpp:146:33: error: 'd_handle' was not declared in this scope
CEGUIDynamicModule.cpp:146:57: error: 'DYNLIB_GETSYM' was not declared in this scope
CEGUIDynamicModule.cpp:147:1: warning: control reaches end of non-void function [-Wreturn-type]
make[4]: *** [libCEGUIBase_la-CEGUIDynamicModule.lo] Error 1
make[4]: Leaving directory `/build/buildd-cegui-mk2_0.7.6-1-kfreebsd-i386-8NdnuE/cegui-mk2-0.7.6/cegui/src'
make[3]: *** [all-recursive] Error 1

Full build log at


Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#663152; Package src:cegui-mk2. (Fri, 09 Mar 2012 14:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Muammar El Khatib <muammar@debian.org>:
Extra info received and forwarded to list. (Fri, 09 Mar 2012 14:39:12 GMT) Full text and rfc822 format available.

Message #10 received at 663152@bugs.debian.org (full text, mbox):

From: Muammar El Khatib <muammar@debian.org>
To: debian-bsd@lists.debian.org, 663152@bugs.debian.org
Subject: Re: Bug#663152: cegui-mk2: FTBFS(kfreebsd): error: 'd_handle' was not declared in this scope
Date: Fri, 9 Mar 2012 15:35:55 +0100
Hi Christoph,

On Thu, Mar 08, 2012 at 11:36:23PM +0100, Christoph Egger wrote:
> Package: src:cegui-mk2
> Version: 0.7.6-1
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)
>
> Hi!
>
> Your package failed to build on the kfreebsd-* buildds:
>

I know what the problem is... I'll do an upload today for solving this.
I apologize.

regards,
--
Muammar El Khatib.
Linux user: 403107.
Key fingerprint = 90B8 BFC4 4A75 B881 39A3 1440 30EB 403B 1270 29F1
http://muammar.me | http://proyectociencia.org
  ,''`.
 : :' :
 `. `'
   `-




Reply sent to Muammar El Khatib <muammar@debian.org>:
You have taken responsibility. (Fri, 09 Mar 2012 15:06:05 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 09 Mar 2012 15:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 663152-close@bugs.debian.org (full text, mbox):

From: Muammar El Khatib <muammar@debian.org>
To: 663152-close@bugs.debian.org
Subject: Bug#663152: fixed in cegui-mk2 0.7.6-2
Date: Fri, 09 Mar 2012 15:02:32 +0000
Source: cegui-mk2
Source-Version: 0.7.6-2

We believe that the bug you reported is fixed in the latest version of
cegui-mk2, which is due to be installed in the Debian FTP archive:

cegui-mk2_0.7.6-2.debian.tar.gz
  to main/c/cegui-mk2/cegui-mk2_0.7.6-2.debian.tar.gz
cegui-mk2_0.7.6-2.dsc
  to main/c/cegui-mk2/cegui-mk2_0.7.6-2.dsc
libcegui-mk2-0.7.6-dbg_0.7.6-2_amd64.deb
  to main/c/cegui-mk2/libcegui-mk2-0.7.6-dbg_0.7.6-2_amd64.deb
libcegui-mk2-0.7.6_0.7.6-2_amd64.deb
  to main/c/cegui-mk2/libcegui-mk2-0.7.6_0.7.6-2_amd64.deb
libcegui-mk2-dev_0.7.6-2_amd64.deb
  to main/c/cegui-mk2/libcegui-mk2-dev_0.7.6-2_amd64.deb
libcegui-mk2-doc_0.7.6-2_all.deb
  to main/c/cegui-mk2/libcegui-mk2-doc_0.7.6-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663152@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Muammar El Khatib <muammar@debian.org> (supplier of updated cegui-mk2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Mar 2012 11:25:50 +0100
Source: cegui-mk2
Binary: libcegui-mk2-0.7.6 libcegui-mk2-0.7.6-dbg libcegui-mk2-dev libcegui-mk2-doc
Architecture: source all amd64
Version: 0.7.6-2
Distribution: unstable
Urgency: low
Maintainer: Muammar El Khatib <muammar@debian.org>
Changed-By: Muammar El Khatib <muammar@debian.org>
Description: 
 libcegui-mk2-0.7.6 - Crazy Eddie's GUI (libraries)
 libcegui-mk2-0.7.6-dbg - Crazy Eddie's GUI (debugging libraries)
 libcegui-mk2-dev - Crazy Eddie's GUI (development files)
 libcegui-mk2-doc - Crazy Eddie's GUI (documentation)
Closes: 663152
Changes: 
 cegui-mk2 (0.7.6-2) unstable; urgency=low
 .
   * debian/patches:
     + The patch 01_cegui-mk2_kfreebsd.patch has been updated in order to avoid
       the FTBFS in kfreebsd caused by d_handle not declared. (Closes: #663152)
     + The patch 09_addingheaderforgcc4.4.patch was renamed to
       02_addingheaderforgcc4.4.patch.
     + The patches 11_ftbfs_ptrdiff.patch and 12_CEGUItinyxmlparser.patch were
       removed.
Checksums-Sha1: 
 88cf2db333c24611f208a2dbff43fec923115a9e 1772 cegui-mk2_0.7.6-2.dsc
 a43393ebc533dd09d2a52162a411b7ebcb38e22a 9522 cegui-mk2_0.7.6-2.debian.tar.gz
 5c61f95dd85b1daffb5605888ee30d8d87d8303b 4511072 libcegui-mk2-doc_0.7.6-2_all.deb
 997fb4a06f8366bde857a8f699eeaee9dc008c35 1469206 libcegui-mk2-0.7.6_0.7.6-2_amd64.deb
 ec4178080c2f66804cf4881c9140b2f495afd46d 12602214 libcegui-mk2-0.7.6-dbg_0.7.6-2_amd64.deb
 112a1fef78082e56a64040aa8bfa39372fd782a5 350024 libcegui-mk2-dev_0.7.6-2_amd64.deb
Checksums-Sha256: 
 f40be09d993b59597af17608b1a0648dcb5f0c485a153d52c7c791f1c293362a 1772 cegui-mk2_0.7.6-2.dsc
 0ab74c803db49139fea5802b5f95820ee162f90ad39dfd9dc642b65a329358f0 9522 cegui-mk2_0.7.6-2.debian.tar.gz
 ffe765b32aa8c41acf6a06c8f4e2a8ec0dd02f9afcee7e618c14e1a1c23dd741 4511072 libcegui-mk2-doc_0.7.6-2_all.deb
 1a879e3f94772581b9ab284a5e3ddc3e903c623764af9a9dc18bca33d05491da 1469206 libcegui-mk2-0.7.6_0.7.6-2_amd64.deb
 3b14280d99f99c8b934222c875e85df7b8f377f24187c6494dcaf24d31bb81c6 12602214 libcegui-mk2-0.7.6-dbg_0.7.6-2_amd64.deb
 2502a93116c9ceab0996ba0ac90c89846d769cb10ecc8726abb051c2d889df7f 350024 libcegui-mk2-dev_0.7.6-2_amd64.deb
Files: 
 390c437ad29334fd8ab478449a3c53f6 1772 libs optional cegui-mk2_0.7.6-2.dsc
 822b14357ad35b5e082f815936f13412 9522 libs optional cegui-mk2_0.7.6-2.debian.tar.gz
 2eae8ee25583bc030d272809e8a711c7 4511072 doc optional libcegui-mk2-doc_0.7.6-2_all.deb
 4f0556972d544d77b68971ee8c3f9cb1 1469206 libs optional libcegui-mk2-0.7.6_0.7.6-2_amd64.deb
 27657182908884cd3b818a0e746dda4f 12602214 debug extra libcegui-mk2-0.7.6-dbg_0.7.6-2_amd64.deb
 15952f5ad9e1e454af9bb2a3de7922bd 350024 libdevel optional libcegui-mk2-dev_0.7.6-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9aGNIACgkQMOtAOxJwKfFgNwCeOJiHZgwyGPAU0rlAboKotoBD
bfoAn3U5+wDO8nRZ+etR7/CmIKS99TnH
=qKJa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Apr 2012 07:39:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:51:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.